收藏
回答

小程序开发者工具校验TLS版本bug

问题模块 框架类型 操作系统 工具版本
开发者工具 小程序 Windows 1.02.1803130

你想反馈一个 Bug 还是 提一个需求?

BUG


Bug 表现是什么?预期表现是什么?

在1.02.1803130版的小程序开发者工具中,wx.request调用的时候校验后端tls版本,提示版本unidefind,实际上后端tls版本为1.2,chrome开发者工具和openssl验证工具都证实了,安装回旧版(1.02.1802021)无此bug


最后一次编辑于  2018-03-15  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏关注问题回答

11 个回答

  • 林超
    林超
    2018-03-15
    给下URL?
    2018-03-15
    赞同
    回复
  • 陈刚
    陈刚
    2018-03-15

    https://ssapi.9652.org/hello?source=demo

    2018-03-15
    赞同
    回复
  • 林超
    林超
    2018-03-15

    我测试这个URL是没有问题的


    是否是你本地自己有host之类的?

    2018-03-15
    赞同
    回复
  • 陈刚
    陈刚
    2018-03-15




    注意看一下我上面两个图的版本号和提示语,只做了一件事,安装不同版本的开发者工具,代码和后端都没做任何处理

    2018-03-15
    赞同
    回复
  • 林超
    林超
    2018-03-15

    是否是有多台主机,某台没有部署正确呢?


    另外看下showRequestInfo 显示什么

    2018-03-15
    赞同
    回复
  • 陈刚
    陈刚
    2018-03-15

    只有一台主机,showrequestinfo里面,显示tls未定义,我已经反复多次安装了这两个版本的开发者工具,故障依旧,不折腾了,还有活,先用旧版的。

    2018-03-15
    赞同
    回复
  • 小马
    小马
    2018-03-16

    mark,同样的问题,希望官方重视一下

    2018-03-16
    赞同
    回复
  • 林超
    林超
    2018-03-16

    抱歉,这是一个已知问题,我们会尽快进行修复。


    是因为增加uplaod download 在network panel中显示导致的


    需要下个版本修复,目前可以先在工具的项目详情中勾选 “不校验合法域名、web-view(业务域名)、TLS 版本以及 HTTPS 证书”进行开发


    再次抱歉


    2018-03-16
    赞同
    回复
  • 林超
    林超
    2018-03-16

    复现方式是如果先在同domain下先进行upload download 操作,后进行request操作,就有这个报错

    2018-03-16
    赞同
    回复
  • 韩强
    韩强
    2018-03-18

    希望尽快修复这个bug吧,辛苦了!

    2018-03-18
    赞同
    回复